package com.bio.bio_backend.domain.base.resource.service;

import com.bio.bio_backend.domain.base.resource.dto.ResourceDto;
import java.util.List;

public interface ResourceService {
    ResourceDto createResource(ResourceDto dto);

    List<ResourceDto> createResourceList(List<ResourceDto> list);

    ResourceDto getById(Long id);

    List<ResourceDto> getAll();

    ResourceDto update(Long id, ResourceDto dto);

    void delete(Long id);
}
